﻿Imports Wisej.Web
Imports System.IO
Imports System.Drawing

Public Class Window1

    Public Sub New()

        ' This call is required by the designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.
        Me.AllowDrop = True
    End Sub

    ' Start the drag.
    Private Sub PictureBox_Signature_DragStart(sender As Object, e As EventArgs) Handles PictureBox1.DragStart
        Me.PictureBox1.DoDragDrop(Me.PictureBox1, Wisej.Web.DragDropEffects.Copy)
    End Sub

    Private Sub PictureBox_Signature_DragEnter(sender As Object, e As Wisej.Web.DragEventArgs) Handles PictureBox1.DragEnter
        If (e.Data.GetDataPresent(DataFormats.FileDrop)) Then
            e.Effect = DragDropEffects.Copy
        End If
    End Sub

    Private Sub PictureBox_Signature_DragDrop(sender As Object, e As Wisej.Web.DragEventArgs) Handles PictureBox1.DragDrop
        UpLoadFiles(CType(e.Data.GetData(DataFormats.Files), HttpFileCollection))
    End Sub

    Private Sub UpLoadFiles(ByVal files As HttpFileCollection)
        Dim uploadFile As String = Nothing
        For i As Integer = 0 To files.Count - 1
            Me.PictureBox1.Image = Nothing
            If ".TIF,.TIFF,.JPG,.PNG,.BMP".Split(",").Contains(Path.GetExtension(files(i).FileName).ToUpper) Then
                uploadFile = "upload" & Path.GetExtension(files(i).FileName)
                If clsFileStreamHelper.SaveFileFromStream(files(i).InputStream, uploadFile) Then
                    Me.PictureBox1.Image = ReadImage(uploadFile)
                    Me.PictureBox1.SizeMode = AutoSize
                    Me.PictureBox1.Size = Me.PictureBox1.Image.Size
                End If
            End If
        Next
        For i As Integer = 0 To files.Count - 1
            files(i).InputStream.Close()
            files(i).InputStream.Dispose()
        Next
    End Sub

    Private Function ReadImage(ByVal filePath As String) As Image
        If File.Exists(filePath) Then
            Using img As Image = Image.FromFile(filePath)
                Dim bm As New Bitmap(img)
                Return bm
            End Using
        End If
        Return Nothing
    End Function
End Class
