﻿Imports System.IO
Imports System.Drawing

Public Class clsFileStreamHelper
    ' Reads the image from the uploaded stream and preserves the stream
    ' in case it's an animated gif.
    Shared Function GetImageFromStream(ByVal stream As Stream) As Image
        Dim mem As New MemoryStream()
        stream.CopyTo(mem, 1024)
        mem.Position = 0
        Return Image.FromStream(mem)
    End Function

    Shared Function SaveFileFromStream(ByVal stream As Stream, ByVal filePath As String) As Boolean
        Dim mem As New MemoryStream()
        Dim file As New FileStream(filePath, FileMode.Create, FileAccess.Write)
        SaveFileFromStream = False

        Try
            stream.CopyTo(mem, 1024)
            mem.Position = 0
            mem.WriteTo(file)

            SaveFileFromStream = True
        Catch ex As Exception
        Finally
            file.Close()
            mem.Close()

            file.Dispose()
            mem.Dispose()
        End Try
    End Function
End Class
